UPDATE adruch SET ut=99 WHERE ut<=>NULL;
ALTER TABLE adruch MODIFY ut TINYINT(2) UNSIGNED NOT NULL DEFAULT 99;
UPDATE adrbook SET uch=99 WHERE uch<=>NULL;
ALTER TABLE adrbook MODIFY uch TINYINT(2) UNSIGNED NOT NULL DEFAULT 99;
DELETE FROM xrbacser;

/*
SQLyog Ultimate v13.1.1 (32 bit)
MySQL - 5.5.60 : Database - ekatdgb8
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/* Procedure structure for procedure `print_uch` */

/*!50003 DROP PROCEDURE IF EXISTS  `print_uch` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `print_uch`()
BEGIN
    DROP TABLE IF EXISTS tmp1;
    CREATE TEMPORARY TABLE tmp1 (
    SELECT id,uch_id,fio,uch.adr_city,st.name AS cstreet,home,home_,vid FROM uch LEFT JOIN st ON uch.st=st.street_id 
    LEFT JOIN vr ON uch_id=vr.uch
    WHERE 1 ORDER BY uch_id,uch.adr_city,cstreet,home);
    DROP TABLE IF EXISTS tmp2;
    CREATE TEMPORARY TABLE tmp2 (
    SELECT 0 id,uch_id,fio,'' adr_city,'' AS cstreet,'' home,'' home_,0 vid FROM uch 
    LEFT JOIN vr ON uch_id=vr.uch
    WHERE 1 GROUP BY uch_id);
    
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    SELECT * FROM tmp1 UNION SELECT * FROM tmp2 ORDER BY uch_id,cstreet,cstreet,home;
    
    SELECT id,uch_id,fio,tmp.adr_city,cstreet,home,home_,vid, COUNT(DISTINCT adr_id) kol FROM tmp LEFT JOIN adrbook a1
    ON id=ou_id AND uch=uch_id AND nouch=0 GROUP BY uch_id,id having kol>=0 and trim(adr_city)>' '; 
    END */$$
DELIMITER ;

/* Procedure structure for procedure `print_uch_2` */

/*!50003 DROP PROCEDURE IF EXISTS  `print_uch_2` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `print_uch_2`()
BEGIN
    DROP TABLE IF EXISTS tmp1;
    CREATE TEMPORARY TABLE tmp1 (
    SELECT id,uch_id,fio,works.name AS cstreet,home,home_ FROM uch LEFT JOIN works ON uch.st=works.works_id 
    LEFT JOIN vr ON uch_id=vr.uch
    WHERE 1 ORDER BY uch_id,cstreet,home);
    DROP TABLE IF EXISTS tmp2;
    CREATE TEMPORARY TABLE tmp2 (
    SELECT 0 id,uch_id,fio,'' AS cstreet,'' home,'' home_ FROM uch 
    LEFT JOIN vr ON uch_id=vr.uch
    WHERE 1 GROUP BY uch_id);
    
    DROP TABLE IF EXISTS tmp;
    CREATE TEMPORARY TABLE tmp 
    SELECT * FROM tmp1 UNION SELECT * FROM tmp2 ORDER BY uch_id,cstreet,home;
    
    SELECT id,uch_id,fio,cstreet,home,home_, COUNT(DISTINCT adr_id) kol FROM tmp LEFT JOIN adrbook a1
    ON id=ou_id AND uch=uch_id AND nouch=0 GROUP BY uch_id,id having kol>=0; 
    END */$$
DELIMITER ;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
