/*
SQLyog Ultimate v13.1.1 (32 bit)
MySQL - 5.5.60 : Database - medtver
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/* Procedure structure for procedure `pri_vak_last_1` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_vak_last_1` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_vak_last_1`(IN _pers INT,IN _dr DATE,IN _inf SMALLINT,IN _sex VARCHAR(1),IN _st DATE,IN _en DATE)
BEGIN
   DECLARE _namepri VARCHAR(20) DEFAULT '';
   SELECT n_socr INTO _namepri FROM xsinf WHERE ISNULL(pcod) AND cod=_inf;
   SELECT akt INTO @_akt FROM xcoef WHERE xcoef_id=0 LIMIT 1;
   TRUNCATE TABLE zzt1;
    IF not (_inf=14 and @_akt=1) THEN
    BEGIN
	IF NOT TRIM(_namepri)='COVID-19' THEN
		BEGIN
		    SET @_maxvpr = IFNULL((SELECT xpri.kod_vpr
		    FROM xpri,xsinf x1,xsinf x2 
		    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
		    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr DESC LIMIT 1),0),
		    @_sxema=(SELECT xpri.sxema
		    FROM xpri,xsinf x1,xsinf x2 
		    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
		    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr DESC LIMIT 1),
		    @_lastpr1 = IFNULL((SELECT xpri.dpr
		    FROM xpri,xsinf x1,xsinf x2 
		    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
		    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr DESC LIMIT 1),_dr);
		    
		    SET @_sxema:=IF(@_sxema <=>NULL OR @_sxema=0,1,@_sxema) ;  
		    
		                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
		    
		    
		    
		    
		    
		    
		    
		    
		    SET @_cicly:=0 ;
			
			SELECT kod_vpr INTO @_cicly FROM xalgpl WHERE sxema=@_sxema AND cod_inf=_inf AND cod_h=1 ORDER BY kod_vpr LIMIT 1;
			SET @_cicly:=IFNULL(@_cicly,0) ;
		 
			IF @_cicly=0 THEN
				INSERT INTO zzt1    
				SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
				FROM xsinf x1,xsinf x2,xalgpl al
				WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
				AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
				AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr)
				ORDER BY x1.cod,x2.cod ;
			ELSE
				BEGIN
					INSERT INTO zzt1    
					SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
					FROM xsinf x1,xsinf x2,xalgpl al
					WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
					AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
					AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) AND al.kod_vpr<@_cicly
					ORDER BY x1.cod,x2.cod ;
					
					INSERT INTO zzt1    
					SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
					FROM xsinf x1,xsinf x2,xalgpl al
					WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf 
					AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
					AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) AND al.kod_vpr=@_cicly
					ORDER BY x1.cod,x2.cod ;
				END;
			END IF;
		    
		    SET @_maxtmp1:=@_lastpr,@_lastpr:=@_lastpr1;
		    UPDATE zzt1 SET dpr=pri_dpr_next_1(_inf,zzt1.kod_vpr,_dr,@_lastpr,_pers,@_sxema);
		end;
	ELSE
		BEGIN 
		    
		    
		    set @_st=_st;
		    set @_en=_en;
		    SELECT vzmin INTO @_vzmin FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT vzdo INTO @_vzdo FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT kod_vpr INTO @_v1v2   FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT kolmes  INTO @_kolmes FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SET @_dbef=999;		    
		    SELECT TIMESTAMPDIFF(MONTH, DATE_ADD(dpr,INTERVAL 0 DAY), CONCAT(YEAR(NOW()),RIGHT(@_en,6))) INTO @_dbef  
		    FROM xpri WHERE adr_id=_pers AND cod_inf=_inf AND YEAR(dpr)<YEAR(NOW()) ORDER BY dpr DESC LIMIT 1;

		    SELECT TIMESTAMPDIFF(MONTH, _dr, CONCAT(YEAR(NOW()),RIGHT(@_st,6))) INTO @_mo;
		    SET @_lastpriv=NULL;
		    IF (@_mo BETWEEN @_vzmin AND @_vzdo) AND (@_dbef>=@_kolmes) THEN 
			BEGIN
			    SELECT dpr INTO @_lastpriv FROM xpri WHERE adr_id=_pers AND cod_inf=_inf ORDER BY dpr DESC LIMIT 1;
			    IF @_lastpriv<=>NULL THEN
			    BEGIN 
				    SET @_lastpriv=IFNULL(@_lastpriv,@_st);
				    SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);	
				    
				    
				    CALL pri_plan42(_pers,_dr,_sex,@_st,DATE_ADD(@_st,INTERVAL 28 DAY),_inf);	
				    SET @ddpp=NULL;
				    SELECT dpr INTO @ddpp FROM zzzt2 ORDER BY dpr LIMIT 1;  

					SET @_lastp=NULL;
					SELECT xpri.dpr INTO @_lastp FROM xpri 
					WHERE adr_id=_pers AND (dpr BETWEEN DATE_SUB(@ddpp,INTERVAL 28 DAY) AND @ddpp) LIMIT 1;
					SET @ddpp=IFNULL(DATE_ADD(@_lastp,INTERVAL 28 DAY),@ddpp);
					SET @_lastpriv=IFNULL(IF(DATE_ADD(@ddpp,INTERVAL 28 DAY)>@_st,@ddpp,DATE_ADD(@ddpp,INTERVAL 28 DAY)),@_lastpriv);
				    
				    IF @_lastpriv BETWEEN @_st AND @_en THEN
						INSERT INTO zzt1    
						SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V1' pr,100 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
						FROM xsinf x1
						WHERE  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND cod_inf=_inf LIMIT 1) LIMIT 1; 
					end if;
			    END;
			    END IF;
				
				if NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND kod_vpr>100 AND cod_inf=_inf LIMIT 1) then
				BEGIN
					SET @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL @_v1v2 DAY);
					SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);		    
					if @_lastpriv between @_st and @_en then
						INSERT INTO zzt1    
						SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V2' pr,110 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
						FROM xsinf x1  LIMIT 1; 
					end if;
				END;
				END IF;
				
				IF 1=1 THEN
				BEGIN
					SET @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL @_kolmes MONTH);
					SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);		    
					IF @_lastpriv BETWEEN @_st AND @_en THEN
						INSERT INTO zzt1    
						SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'RV' pr,200 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
						FROM xsinf x1  LIMIT 1; 
					end if;
				END;
				END IF;
			    
			END;
			
			INSERT INTO zzt1    
			SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
			FROM xsinf x1
			WHERE  0; 
			END IF;
		END;
	END IF;
	    
    END;
    ELSE
    BEGIN 
	    SELECT CONCAT(YEAR(NOW()),RIGHT(st,6)) INTO @_st FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT CONCAT(YEAR(NOW()),RIGHT(en,6)) INTO @_en FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT vzmin INTO @_vzmin FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT vzdo INTO @_vzdo FROM xcoef WHERE xcoef_id=0 LIMIT 1;
 	    SELECT TIMESTAMPDIFF(MONTH, _dr, CONCAT(YEAR(NOW()),RIGHT(@_st,6))) INTO @_mo;
 	    SET @_lastpriv=NULL;
 	    IF @_mo >= @_vzmin THEN
 	    BEGIN
		    SELECT dpr INTO @_lastpriv FROM xpri WHERE adr_id=_pers AND dpr BETWEEN DATE_SUB(@_st,INTERVAL -28 DAY) AND @_st ORDER BY dpr DESC LIMIT 1;
		    SET @_lastpriv=IFNULL(DATE_ADD(@_lastpriv,INTERVAL 28 DAY),@_st);
		    SET @_lastpriv=pri_14_nepriv(_pers,@_lastpriv,@_st,@_en);		    
		    
		    CALL pri_plan14(_pers,_dr,_sex,@_st,@_en,_inf);	
		    SET @ddpp=NULL;
		    SELECT dpr INTO @ddpp FROM zzzt2 ORDER BY dpr LIMIT 1;  
		    
SET @_lastp=NULL;
SELECT xpri.dpr INTO @_lastp FROM xpri 
WHERE adr_id=_pers AND (dpr BETWEEN DATE_SUB(@_lastpriv,INTERVAL 28 DAY) AND @_lastpriv);
SET @ddpp=IFNULL(DATE_ADD(@_lastp,INTERVAL 28 DAY),@ddpp);
SET @_lastpriv=IFNULL(IF(DATE_ADD(@ddpp,INTERVAL 28 DAY)>@_st,@ddpp,DATE_ADD(@ddpp,INTERVAL 28 DAY)),@_lastpriv);
		    
		    INSERT INTO zzt1    
		    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
		    FROM xsinf x1
		    WHERE  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND cod_inf=14 LIMIT 1) LIMIT 1; 
		    
		    SET @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL 28 DAY);
		    SET @sx=1;
		    SELECT sxema INTO @sx FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND cod_inf=14 LIMIT 1;
		    IF @_mo<=@_vzdo AND @sx=1 THEN
		    BEGIN
			    SET @_lastpriv=pri_14_nepriv(_pers,@_lastpriv,@_st,@_en);		    
			    INSERT INTO zzt1    
			    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V1' pr,110 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
			    FROM xsinf x1
			    WHERE  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND kod_vpr=110 AND cod_inf=14 LIMIT 1) LIMIT 1; 
		    END;
		    END IF;
 	    END;
		    INSERT INTO zzt1    
		    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
		    FROM xsinf x1
		    WHERE  0; 
	    END IF;
    END ;
   END IF;
    	
END */$$
DELIMITER ;

/* Procedure structure for procedure `pri_vak_pers1_14` */

/*!50003 DROP PROCEDURE IF EXISTS  `pri_vak_pers1_14` */;

DELIMITER $$

/*!50003 CREATE DEFINER=`root`@`localhost` PROCEDURE `pri_vak_pers1_14`(IN _pers INT,IN _dr DATE,IN _inf SMALLINT,IN _kolplan SMALLINT)
BEGIN
    Declare _sex char(1) default '';
    DECLARE _namepri varchar(20) DEFAULT '';
    SET @_sxema=1;
    SELECT n_socr into _namepri FROM xsinf WHERE ISNULL(pcod) AND cod=_inf;
    select sex into _sex from adrbook where adr_id=_pers;
    TRUNCATE TABLE zzt;
    insert into zzt 
    SELECT dpr,x1.n_socr inf,x2.n_socr pr,xpri.kod_vpr, 1 ou ,xpri.pri_id,xpri.cod_inf,sxema
    FROM xpri,xsinf x1,xsinf x2 
    WHERE xpri.adr_id=_pers AND ((CONCAT(',',x1.d_cod,',') LIKE CONCAT('%,',_inf,',%')) OR x1.cod=_inf)
    AND cod_inf=x1.cod AND kod_vpr=x2.cod AND x2.pcod=x1.cod ORDER BY kod_vpr;
    SELECT sxema INTO @_sxema FROM zzt ORDER BY dpr DESC LIMIT 1;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    SET @_sxema:=IF(@_sxema <=>NULL OR @_sxema=0,1,@_sxema) ;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    TRUNCATE TABLE zzt1;
    SELECT akt INTO @_akt FROM xcoef WHERE xcoef_id=0 LIMIT 1;
    
    if NOT (_inf=14 AND @_akt=1) then
    begin
	if not trim(_namepri)='COVID-19' then
		begin
		    SELECT MAX(kod_vpr) INTO @_maxvpr FROM zzt;
		    SET @_maxvpr:=IFNULL(@_maxvpr,0) ;
		    SET _kolplan:=IFNULL(_kolplan,99) ;
		    SET @_cicly:=0 ;
			
			SELECT kod_vpr INTO @_cicly FROM xalgpl WHERE sxema=@_sxema AND cod_inf=_inf AND cod_h=1 order by kod_vpr limit 1;
			SET @_cicly:=IFNULL(@_cicly,0) ;
		 
			if @_cicly=0 then
				INSERT INTO zzt1    
				SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
				FROM xsinf x1,xsinf x2,xalgpl al
				WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
				AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
				AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr)
				ORDER BY x1.cod,x2.cod LIMIT _kolplan;
			else
				begin
					INSERT INTO zzt1    
					SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
					FROM xsinf x1,xsinf x2,xalgpl al
					WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf AND x2.cod>@_maxvpr 
					AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
					AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) AND al.kod_vpr<@_cicly
					ORDER BY x1.cod,x2.cod LIMIT _kolplan;
					
					INSERT INTO zzt1    
					SELECT DISTINCT CAST('0000-00-00' AS DATE) dpr,x1.n_socr inf,x2.n_socr pr,x2.cod kod_vpr, 0 ou,0 pri_id,x1.cod,al.sxema
					FROM xsinf x1,xsinf x2,xalgpl al
					WHERE  x2.ob=0 AND x1.cod=_inf AND x2.pcod=x1.cod AND al.kod_vpr=x2.cod AND al.sxema=@_sxema  AND al.sxema>0  AND al.cod_inf=_inf 
					AND ((al.sex=_sex AND al.sex>' ') OR al.sex=' ') 
					AND ((x2.d_1=0 AND x2.d_2=0) OR (CURDATE()-INTERVAL (x2.d_1*12+x2.d_2) MONTH)<=_dr) AND al.kod_vpr=@_cicly
					ORDER BY x1.cod,x2.cod LIMIT _kolplan;
				end;
			end if;
		 
		    SELECT MAX(dpr) INTO @_lastpr1 FROM zzt;
		    SET @_lastpr1:=IFNULL(@_lastpr1,_dr) ;
		    SET @_maxtmp1:=@_lastpr;
		    SET @_lastpr:=@_lastpr1;

		    UPDATE zzt1 SET dpr=pri_dpr_next(_inf,zzt1.kod_vpr,_dr,@_lastpr,_pers,@_sxema);
		end;
	else
		begin 
		    SELECT CONCAT(YEAR(NOW()),RIGHT(st,6)) INTO @_st FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT CONCAT(YEAR(NOW()),RIGHT(en,6)) INTO @_en FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT vzmin INTO @_vzmin FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT vzdo INTO @_vzdo FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT kod_vpr INTO @_v1v2   FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    SELECT kolmes  INTO @_kolmes FROM xcoef WHERE xcoef_id=1 LIMIT 1;
		    set @_dbef=999;		    
		    SELECT TIMESTAMPDIFF(month, DATE_ADD(dpr,INTERVAL 0 DAY), CONCAT(YEAR(NOW()),RIGHT(@_en,6))) INTO @_dbef  
		    FROM xpri WHERE adr_id=_pers AND cod_inf=_inf AND YEAR(dpr)<YEAR(NOW()) ORDER BY dpr DESC LIMIT 1;

		    SELECT TIMESTAMPDIFF(MONTH, _dr, CONCAT(YEAR(NOW()),RIGHT(@_st,6))) INTO @_mo;
		    SET @_lastpriv=NULL;
		    IF (@_mo between @_vzmin and @_vzdo) and (@_dbef>=@_kolmes) then 
			BEGIN
			    SELECT dpr INTO @_lastpriv FROM xpri WHERE adr_id=_pers AND cod_inf=_inf ORDER BY dpr DESC LIMIT 1;
			    if @_lastpriv<=>null then
			    begin 
				    SET @_lastpriv=IFNULL(@_lastpriv,@_st);
				    SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);	
				    
				    
				    CALL pri_plan42(_pers,_dr,_sex,@_st,DATE_ADD(@_st,INTERVAL 28 DAY),_inf);	
				    SET @ddpp=NULL;
				    SELECT dpr INTO @ddpp FROM zzzt2 ORDER BY dpr LIMIT 1;  

					SET @_lastp=NULL;
					SELECT xpri.dpr into @_lastp FROM xpri 
					WHERE adr_id=_pers AND (dpr BETWEEN DATE_SUB(@ddpp,INTERVAL 28 DAY) AND @ddpp) limit 1;
					SET @ddpp=IFNULL(DATE_ADD(@_lastp,INTERVAL 28 DAY),@ddpp);
					SET @_lastpriv=IFNULL(if(DATE_ADD(@ddpp,INTERVAL 28 DAY)>@_st,@ddpp,DATE_ADD(@ddpp,INTERVAL 28 DAY)),@_lastpriv);
				    
				    INSERT INTO zzt1    
				    SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V1' pr,100 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
				    FROM xsinf x1
				    WHERE  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) AND cod_inf=_inf LIMIT 1) LIMIT 1; 
			    end;
			    END IF;
				
				if NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND kod_vpr>100 AND cod_inf=_inf LIMIT 1) then
				begin
					SET @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL @_v1v2 DAY);
					SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);		    
					INSERT INTO zzt1    
					SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V2' pr,110 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
					FROM xsinf x1  LIMIT 1; 
				end;
				end if;
				
				IF 1=1 THEN
				BEGIN
					SET @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL @_kolmes month);
					SET @_lastpriv=pri_42_nepriv(_pers,@_lastpriv,@_st,@_en);		    
					INSERT INTO zzt1    
					SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'RV' pr,200 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
					FROM xsinf x1  LIMIT 1; 
				END;
				END IF;
			    
			end;
			
			INSERT INTO zzt1    
			SELECT DISTINCT @_lastpriv dpr,'COVID-19' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,_inf cod,1 sxema
			FROM xsinf x1
			WHERE  0; 
			end if;
		end;
	end if;
	    
    end;
    else
    begin 
	    SELECT CONCAT(YEAR(NOW()),RIGHT(st,6)) INTO @_st FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT CONCAT(YEAR(NOW()),RIGHT(en,6)) INTO @_en FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT vzmin INTO @_vzmin FROM xcoef WHERE xcoef_id=0 LIMIT 1;
	    SELECT vzdo INTO @_vzdo FROM xcoef WHERE xcoef_id=0 LIMIT 1;
 	    SELECT TIMESTAMPDIFF(MONTH, _dr, CONCAT(YEAR(NOW()),RIGHT(@_st,6))) INTO @_mo;
 	    SET @_lastpriv=NULL;
 	    if @_mo >= @_vzmin then
 	    begin
		    select dpr into @_lastpriv from xpri where adr_id=_pers and dpr between DATE_sub(@_st,Interval -28 DAY) and @_st order by dpr desc limit 1;
		    set @_lastpriv=ifnull(DATE_add(@_lastpriv,INTERVAL 28 DAY),@_st);
		    SET @_lastpriv=pri_14_nepriv(_pers,@_lastpriv,@_st,@_en);	
		    
		    CALL pri_plan14(_pers,_dr,_sex,@_st,@_en,_inf);	
		    set @ddpp=null;
		    SELECT dpr into @ddpp FROM zzzt2 ORDER BY dpr LIMIT 1;  
		    
SET @_lastp=NULL;
SELECT xpri.dpr INTO @_lastp FROM xpri 
WHERE adr_id=_pers AND (dpr BETWEEN DATE_SUB(@_lastpriv,INTERVAL 28 DAY) AND @_lastpriv);
SET @ddpp=IFNULL(DATE_ADD(@_lastp,INTERVAL 28 DAY),@ddpp);
SET @_lastpriv=IFNULL(IF(DATE_ADD(@ddpp,INTERVAL 28 DAY)>@_st,@ddpp,DATE_ADD(@ddpp,INTERVAL 28 DAY)),@_lastpriv);
		    
		    INSERT INTO zzt1    
		    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
		    FROM xsinf x1
		    where  not exists(SELECT * from xpri where adr_id=_pers and year(dpr)=YEAR(@_lastpriv) and cod_inf=14 limit 1) limit 1; 
		    
		    set @_lastpriv=DATE_ADD(@_lastpriv,INTERVAL 28 DAY);

		    if @_mo<=@_vzdo AND NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND cod_inf=14 and year(dpr)<year(@_lastpriv) LIMIT 1) then
		    begin
			    SET @_lastpriv=pri_14_nepriv(_pers,@_lastpriv,@_st,@_en);		    
			    INSERT INTO zzt1    
			    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V1' pr,110 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
			    FROM xsinf x1
			    where  NOT EXISTS(SELECT * FROM xpri WHERE adr_id=_pers AND YEAR(dpr)=YEAR(@_lastpriv) and kod_vpr=110 AND cod_inf=14 LIMIT 1) LIMIT 1; 
		    end;
		    end if;
		    
 	    end;
		    INSERT INTO zzt1    
		    SELECT DISTINCT @_lastpriv dpr,'ГРИПП' inf,'V' pr,100 kod_vpr, 0 ou,0 pri_id,14 cod,1 sxema
		    FROM xsinf x1
		    WHERE  0; 
	    end if;
    end ;
   end if;
END */$$
DELIMITER ;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
